#
# spec file for package python-vitrageclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-vitrageclient
Version:        2.3.0
Release:        4.37
Summary:        Python API and CLI for OpenStack Vitrage
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-cliff
BuildRequires:  python2-keystoneauth1
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-setuptools
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-setuptools
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-cliff
Requires:       python-iso8601
Requires:       python-keystoneauth1
Requires:       python-osc-lib
Requires:       python-oslo.utils
Requires:       python-pbr
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library for Vitrage built on the Vitrage API. It provides a Python API
(the vitrageclient module) and a command-line tool (vitrage).

%package -n python-vitrageclient-doc
Summary:        Documentation for OpenStack Vitrage API client libary
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-vitrageclient-doc
Client library for Vitrage built on the Vitrage API. It provides a Python API
(the vitrageclient module) and a command-line tool (vitrage).
This package contains the documentation.

%prep
%autosetup -p1 -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
# bash completion
install -p -D -m 644 tools/vitrage.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/vitrage.bash_completion
rm %{buildroot}%{_datadir}/vitrage.bash_completion
%python_clone -a %{buildroot}%{_sysconfdir}/bash_completion.d/vitrage.bash_completion

%python_clone -a %{buildroot}%{_bindir}/vitrage

%post
%python_install_alternative vitrage

%postun
%python_uninstall_alternative vitrage

%check
%{python_expand rm -rf .testrepository
export OS_TEST_PATH=vitrageclient/tests/unit
$python setup.py testr
}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/vitrageclient
%{python_sitelib}/*.egg-info
%python_alternative %{_sysconfdir}/bash_completion.d/vitrage.bash_completion
%python_alternative %{_bindir}/vitrage

%files -n python-vitrageclient-doc
%doc doc/build/html
%license LICENSE

%changelog
